Skip to main content
POST
/
v5
/
invoicing
/
sendInvoice
Send invoice to client
curl --request POST \
  --url https://sandbox.hurdlr.com/rest/v5/invoicing/sendInvoice \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: */*' \
  --data '
{
  "invoiceId": 123
}
'
{
  "emailRetVal": {
    "status": "SUCCESS",
    "error": "<string>",
    "messageId": "<string>"
  },
  "invoiceId": "<string>",
  "success": true,
  "errorDescription": "<string>",
  "errors": {
    "fieldErrors": {},
    "globalErrors": [
      {
        "type": "DUPLICATE",
        "errorMessage": "<string>"
      }
    ]
  },
  "refundStatus": "PENDING"
}

Documentation Index

Fetch the complete documentation index at: https://docs.tight.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

*/*
invoiceId
integer<int64>
required

Id of the invoice to send

Response

200 - application/json

Successful operation

emailRetVal
object
invoiceId
string
success
boolean
errorDescription
string
errors
object

Error object containing details errors incurred, if any

refundStatus
enum<string>
Available options:
PENDING,
SUCCEEDED,
FAILED,
UNKNOWN